Index: gs3-installations/whakatohea-dl/trunk/sites/wmtb/collect/Audio/etc/collectionConfig.xml
===================================================================
--- gs3-installations/whakatohea-dl/trunk/sites/wmtb/collect/Audio/etc/collectionConfig.xml	(revision 37398)
+++ gs3-installations/whakatohea-dl/trunk/sites/wmtb/collect/Audio/etc/collectionConfig.xml	(revision 38353)
@@ -7,6 +7,6 @@
 	</metadataList>
 	<displayItemList>
-	  <displayItem lang="mi" name="name">Kohinga Audio</displayItem>
-	  <displayItem lang="en" name="name">Audio Collection</displayItem>
+		<displayItem lang="mi" name="name">Kohinga Audio</displayItem>
+		<displayItem lang="en" name="name">Audio Collection</displayItem>
 		<displayItem lang="en" name="description">Collection of audio and audiovisual resources
 </displayItem>
@@ -47,51 +47,27 @@
 -->
 			<gsf:template name="display-metadata">
-<!--
-First some general WMTB collecton metadata
--->
 				<gsf:switch>
 					<gsf:metadata name="wmtb.HapuOrIwi" select="root"/>
-					<gsf:when test="exists"><br/> HapÅ«/Iwi:Â <gsf:metadata name="wmtb.HapuOrIwi" select="root"/></gsf:when>
-				</gsf:switch>
-<!--
-Now any waiata-specific metadata
--->
-<!--
-				<gsf:switch>
-					<gsf:metadata name="wmtb.Singer" select="root"/>
-					<gsf:when test="exists"><br/> Singer(s):Â <gsf:metadata name="wmtb.Singer" select="root"/></gsf:when>
+					<gsf:when test="exists"><br/><gsf:collectionText name="HapuOrIwi"/>:Â <gsf:metadata name="wmtb.HapuOrIwi" select="root"/></gsf:when>
 				</gsf:switch>
 				<gsf:switch>
-					<gsf:metadata name="wmtb.Lyricist" select="root"/>
-					<gsf:when test="exists"><br/> Lyricist(s):Â <gsf:metadata name="wmtb.Lyricist" select="root"/></gsf:when>
+					<gsf:metadata name="wmtb.SourceLocation" select="root"/>
+					<gsf:when test="exists"><br/><gsf:collectionText name="Location"/>:Â <gsf:metadata name="wmtb.SourceLocation" select="root"/></gsf:when>
 				</gsf:switch>
-				<gsf:switch>
-					<gsf:metadata name="wmtb.Composer" select="root"/>
-					<gsf:when test="exists"><br/> Composer(s):Â <gsf:metadata name="wmtb.Composer" select="root"/></gsf:when>
-				</gsf:switch>
-				<gsf:switch>
-					<gsf:metadata name="wmtb.Genre" select="root"/>
-					<gsf:when test="exists"><br/> Genre(s):Â <gsf:metadata name="wmtb.Genre" select="root"/></gsf:when>
-				</gsf:switch>
-				<gsf:switch>
-					<gsf:metadata name="wmtb.MediaType" select="root"/>
-					<gsf:when test="exists"><br/> MediaType(s):Â <gsf:metadata name="wmtb.MediaType" select="root"/></gsf:when>
-				</gsf:switch>
--->
-<!--
-Back to general WMTB collecton metadata
--->
-				<gsf:switch>
-					<gsf:metadata name="wmtb.Location" select="root"/>
-					<gsf:when test="exists"><br/> Location(s):Â <gsf:metadata name="wmtb.Location" select="root"/></gsf:when>
-				</gsf:switch>
-<!--				<gsf:switch>
-					<gsf:metadata name="wmtb.Date" select="root"/>
-					<gsf:when test="exists"><br/> Date:Â <gsf:metadata name="wmtb.Date" select="root"/></gsf:when>
-				</gsf:switch>
-				<gsf:switch>
-					<gsf:metadata name="wmtb.Type" select="root"/>
-					<gsf:when test="exists"><br/> Type:Â <gsf:metadata name="wmtb.Type" select="root"/></gsf:when>
-				</gsf:switch>
+<!--
+<gsf:switch>
+<gsf:metadata name="wmtb.Date" select="root"/>
+<gsf:when test="exists">
+<br/> Date:Â 
+<gsf:metadata name="wmtb.Date" select="root"/>
+</gsf:when>
+</gsf:switch>
+<gsf:switch>
+<gsf:metadata name="wmtb.Type" select="root"/>
+<gsf:when test="exists">
+<br/> Type:Â 
+<gsf:metadata name="wmtb.Type" select="root"/>
+</gsf:when>
+</gsf:switch>
 -->
 			</gsf:template>
@@ -102,74 +78,53 @@
 	<search type="lucene">
 		<index name="allfields">
-			<displayItem lang="en" name="name">all</displayItem>
+		  <displayItem lang="en" name="name">all</displayItem>
+		  <displayItem lang="mi" name="name">te katoa</displayItem>
 		</index>
 		<index name="text">
-			<displayItem lang="en" name="name">text</displayItem>
+		  <displayItem lang="en" name="name">text</displayItem>
+		  <displayItem lang="mi" name="name">tuhinga</displayItem>
 		</index>
 		<index name="wmtb.Title">
-			<displayItem lang="en" name="name">titles</displayItem>
+		  <displayItem lang="en" name="name">titles</displayItem>
+		  <displayItem lang="mi" name="name">taitara</displayItem>
 		</index>
 		<index name="wmtb.Description">
-			<displayItem lang="en" name="name">descriptions</displayItem>
-		</index>		
+		  <displayItem lang="en" name="name">descriptions</displayItem>
+		  <displayItem lang="mi" name="name">whakamÄrama</displayItem>
+		</index>
 		<index name="wmtb.HapuOrIwi">
-			<displayItem lang="en" name="name">hapÅ«/iwi</displayItem>
-		</index>
-		<index name="wmtb.Location">
-			<displayItem lang="en" name="name">locations</displayItem>
-		</index>
-		<index name="wmtb.Sourced">
-		  <displayItem lang="en" name="name">sourced</displayItem>
-		</index>
+		  <displayItem lang="en" name="name">hapÅ«/iwi</displayItem>
+		  <displayItem lang="mi" name="name">hapÅ«/iwi</displayItem>
+		</index>
+		<index name="wmtb.SourceLocation,wmtb.SourceDepartment">
+		<displayItem lang="en" name="name">locations</displayItem>
+		<displayItem lang="mi" name="name">tauwÄhi</displayItem>
+		</index>
+		<index name="wmtb.SourceReferenceID">
+		  <displayItem lang="en" name="name">institution identifiers</displayItem>
+		  <displayItem lang="mi" name="name">nama takiura</displayItem>
+		</index>
+
 		<index name="Identifier">
-		  <displayItem lang="en" name="name">reference ids</displayItem>
-		</index>
-
-		<!--		<index name="wmtb.Singer">
-			<displayItem lang="en" name="name">singers</displayItem>
-		</index>
-		<index name="wmtb.Lyricist">
-			<displayItem lang="en" name="name">lyricists</displayItem>
-		</index>
-		<index name="wmtb.Composer">
-			<displayItem lang="en" name="name">composers</displayItem>
-		</index>
-		<index name="wmtb.Genre">
-			<displayItem lang="en" name="name">genre</displayItem>
-		</index>
-		<index name="wmtb.Date">
-			<displayItem lang="en" name="name">date</displayItem>
-		</index>
-                -->
-		<!--		<index name="wmtb.Type">
-			<displayItem lang="en" name="name">document types</displayItem>
-		</index>
-		<index name="wmtb.Other">
-			<displayItem lang="en" name="name">comments</displayItem>
-		</index>
-		<index name="wmtb.AddedBy">
-			<displayItem lang="en" name="name">added by</displayItem>
-		</index>
-		<index name="Source">
-			<displayItem lang="en" name="name">filenames</displayItem>
-		</index>
--->
-
-
+		  <displayItem lang="en" name="name">identifiers</displayItem>
+		  <displayItem lang="mi" name="name">tohutoro</displayItem>
+		</index>
 		<defaultIndex name="allfields"/>
 		<level name="document">
 			<displayItem lang="en" name="name">document</displayItem>
 		</level>
+		<defaultLevel name="document"/>
 		<searchType name="plain"/>
-		<searchType name="simpleform"/>
+<!--		<searchType name="simpleform"/>-->
 		<searchType name="advancedform"/>
 		<format>
 			<gsf:template match="documentNode">
-			  <td valign="top">
-			    <gsf:link type="document">
-			      <gsf:icon type="document"/>
-			    </gsf:link>
-			  </td>
-			  <!--<td valign="top">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+<!--
+<td valign="top">
 			    <gsf:link type="source">
 			      <gsf:choose-metadata>
@@ -178,11 +133,12 @@
 			      </gsf:choose-metadata>
 			    </gsf:link>
-			  </td>-->
-			  <td>
-			    <gsf:link type="document">
-				<xsl:call-template name="choose-title"/>
-			      </gsf:link>
-			      <xsl:call-template name="display-metadata"/>
 			  </td>
+-->
+				<td>
+					<gsf:link type="document">
+						<xsl:call-template name="choose-title"/>
+					</gsf:link>
+					<xsl:call-template name="display-metadata"/>
+				</td>
 			</gsf:template>
 		</format>
@@ -223,4 +179,5 @@
 			<option name="-metadata_selection_mode_within_level" value="firstvalue"/>
 			<option name="-buttonname" value="Title"/>
+			<displayItem name="name" key="Title.buttonname"/>
 		</classifier>
 		<classifier name="List">
@@ -229,78 +186,33 @@
 			<option name="-partition_type_within_level" value="none"/>
 			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-			<option name="-buttonname" value="HapÅ« or Iwi"/>
+			<option name="-buttonname" value="HapÅ«OrIwi"/>
+			<displayItem name="name" key="HapuOrIwi.buttonname"/>
 		</classifier>
 		<classifier name="List">
-			<option name="-metadata" value="wmtb.Location"/>
+			<option name="-metadata" value="wmtb.SourceLocation"/>
 			<option name="-bookshelf_type" value="always"/>
 			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
 			<option name="-buttonname" value="Location"/>
 			<option name="-partition_type_within_level" value="none"/>
+			<displayItem name="name" key="Location.buttonname"/>
 		</classifier>
-<!--		<classifier name="List">
-			<option name="-metadata" value="wmtb.Singer"/>
-			<option name="-bookshelf_type" value="always"/>
-			<option name="-partition_type_within_level" value="per_letter"/>
-			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="wmtb.Lyricist"/>
-			<option name="-bookshelf_type" value="always"/>
-			<option name="-partition_type_within_level" value="per_letter"/>
-			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="wmtb.Composer"/>
-			<option name="-bookshelf_type" value="always"/>
-			<option name="-partition_type_within_level" value="per_letter"/>
-			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="wmtb.Genre"/>
-			<option name="-bookshelf_type" value="always"/>
-			<option name="-partition_type_within_level" value="none"/>
-			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="wmtb.Date"/>
-			<option name="-metadata_sort_mode_within_level" value="alphanumeric"/>
-			<option name="-numeric_partition_type_within_level" value="per_number"/>
-			<option name="-numeric_partition_name_length_within_level" value="6"/>
-			<option name="-numeric_partition_sort_mode_within_level" value="alphanumeric"/>
-			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-			<option name="-buttonname" value="Date"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="wmtb.MediaType"/>
-			<option name="-bookshelf_type" value="always"/>
-			<option name="-partition_type_within_level" value="none"/>
-			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-			<option name="-buttonname" value="Media Type"/>
-		</classifier>
-		<classifier name="List">
-			<option name="-metadata" value="wmtb.Type"/>
-			<option name="-bookshelf_type" value="always"/>
-			<option name="-partition_type_within_level" value="none"/>
-			<option name="-sort_leaf_nodes_using" value="wmtb.Title"/>
-			<option name="-buttonname" value="Document Type"/>
-		</classifier>
--->
-                <format>
+		<format>
 			<gsf:template match="documentNode">
-			  <td valign="top">
-			    <gsf:link type="document">
-			      <gsf:icon type="document"/>
-			    </gsf:link>
-			  </td>
-			  <td valign="top">
+				<td valign="top">
+					<gsf:link type="document">
+						<gsf:icon type="document"/>
+					</gsf:link>
+				</td>
+<!--				<td valign="top">
 					<gsf:link type="source">
-					  <gsf:metadata name="srcicon"/>
-					</gsf:link>
-				</td>
-				<td valign="top">
+						<gsf:metadata name="srcicon"/>
+					</gsf:link>
+				</td>
+ -->			
+                                <!--<td valign="top">
 					<gsf:metadata name="equivDocLink"/>
 					<gsf:metadata name="equivDocIcon"/>
 					<gsf:metadata name="/equivDocLink"/>
-				</td>
+				</td>-->
 				<td valign="top">
 					<gsf:link type="document">
@@ -341,5 +253,5 @@
 Overwriting this template allows you to change the heading of the document.
 -->
-			<gsf:template name="documentHeading">
+<!--			<gsf:template name="documentHeading">
 				<xsl:choose>
 					<xsl:when test="documentNode">
@@ -357,16 +269,12 @@
 				</xsl:choose>
 			</gsf:template>
+-->
 <!--
 Overwriting this template can be used to redefine the content of the whole document. This is useful for simple documents, but not recommended for more complex documents (e.g. hierachical and paged documents) as it can prevent any sub-sections from showing.
 -->
-			<gsf:template name="documentContent">
+<!--			<gsf:template name="documentContent">
 				<div id="gs-document">
 					<xsl:call-template name="documentPre"/>
 					<xsl:call-template name="wrappedSectionImage"/>
-<!--
-<div id="gs-document-text">
-<xsl:call-template name="documentNodeText"/>
-</div>
--->
 					<xsl:choose>
 						<xsl:when test="documentNode">
@@ -385,43 +293,14 @@
 				</div>
 			</gsf:template>
-			<gsf:template name="doc-link">
-				<xsl:if test="not(./metadataList/metadata[@name='Thumb'])">
-<!--
-TODO -make this depend on image or not
--->
-					<gsf:if-metadata-exists>
-						<gsf:metadata name="srclinkFile"/>
-						<gsf:if>
-							<p> <gsf:collectionText name="doclink"/><gsf:link type="source"><gsf:metadata name="srcicon"/></gsf:link></p>
-						</gsf:if>
-					</gsf:if-metadata-exists>
-				</xsl:if>
-				<gsf:if-metadata-exists>
-					<gsf:metadata name="wmtb.Link"/>
-					<gsf:if>
-						<p><gsf:collectionText name="weblink"/><a><xsl:attribute name="href"><gsf:metadata name="wmtb.Link"/></xsl:attribute><gsf:metadata name="wmtb.LinkTitle"/></a></p>
-					</gsf:if>
-				</gsf:if-metadata-exists>
-			</gsf:template>
-			<gsf:template name="metadata-table">
-				<div>
-					<gsf:metadata-table>
-						<gsf:metadata name="wmtb.Title">Title</gsf:metadata>
-						<gsf:metadata name="wmtb.Description">Description</gsf:metadata>
-						<gsf:metadata name="wmtb.HapuOrIwi">HapÅ«/Iwi</gsf:metadata>
-						<gsf:metadata name="wmtb.Sourced">Sourced from</gsf:metadata>
-						<gsf:metadata name="wmtb.Location">Source location</gsf:metadata>
-						<gsf:metadata name="wmtb.InstitutionID">ID at Source</gsf:metadata>
-					</gsf:metadata-table>
-				</div>
-			</gsf:template>
-<!--
-override this to force simple doc view for all docs
--->
-			<gsf:template name="wrappedDocument">
+-->
+<!--
+we overrided this to force simple doc view for all docs
+-->
+<!--			<gsf:template name="wrappedDocument">
 				<xsl:call-template name="documentHeading"/>
 				<br/>
 				<xsl:call-template name="documentContent"/>
 			</gsf:template>
+-->
 <!--
 Overwriting this template can be used to change the content of section headings.
@@ -454,10 +333,12 @@
 	<replaceListRef id="gs2-standard"/>
 	<replaceListRef id="gs2-image"/>
-	<serviceRackList><!--
+	<serviceRackListUNUSED><!--
 comment out the following serviceRack if you want to disable RSS for this collection
 -->
-		<serviceRack name="RSSRetrieve"/><!--
+	  <!--		<serviceRack name="RSSRetrieve"/>-->
+	  <!--
 comment out the following serviceRack if you want to disable OAI for this collection
--->
+	  -->
+	  
 		<serviceRack name="OAIPMH">
 			<setName>Audio</setName>
@@ -477,5 +358,5 @@
 			</ListMetadataFormats>
 		</serviceRack>
-	</serviceRackList>
+	</serviceRackListUNUSED>
 	<importOption name="OIDtype" value="assigned"/>
 	<importOption name="OIDmetadata" value="wmtb.ReferenceId"/>