Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1989-G-block-construction/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1989-G-block-construction/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1989-G-block-construction/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1989 G block construction</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1989 G block construction</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">1</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1990-G-block-opening/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1990-G-block-opening/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1990-G-block-opening/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1990 G block opening</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1990 G block opening</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">2</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1990s-Graduation/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1990s-Graduation/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1990s-Graduation/metadata.xml	(revision 38381)
@@ -8,4 +8,5 @@
 			<Metadata mode="accumulate" name="dc.Publisher"/>
 			<Metadata mode="accumulate" name="dc.Publisher">1990s Graduation</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">3</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1991-Demos-TB3/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1991-Demos-TB3/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1991-Demos-TB3/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1991 Demos TB3</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1991 Demos TB3</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">4</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1992-Graduation/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1992-Graduation/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1992-Graduation/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1993 Graduation</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1993 Graduation</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">5</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1993-Open Day/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1993-Open Day/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1993-Open Day/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1993 Open Day</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1993 Open Day</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">6</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1993-R-block-opening-Oct/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1993-R-block-opening-Oct/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1993-R-block-opening-Oct/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1993 R block opening</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1993 R block opening</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">7</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-420-presentations/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-420-presentations/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-420-presentations/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1995 420 Presentations</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1995 420 Presentations</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">8</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-Lab-signups/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-Lab-signups/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-Lab-signups/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1995 Lab signups</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1995 Lab signups</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">9</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-Open-day/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-Open-day/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1995-Open-day/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1995 Open Day</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1995 Open Day</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">10</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1997-Programming-competition/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1997-Programming-competition/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/1997-Programming-competition/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|1997 Programming Competition</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">1997 Programming Competition</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">11</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2002-Start-of-Design/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2002-Start-of-Design/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2002-Start-of-Design/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|2002 Start of the Design Programme</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">2002 Start of the Design Programme</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">12</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2004-Women-in-Computing-Workshop/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2004-Women-in-Computing-Workshop/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2004-Women-in-Computing-Workshop/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|2004 Women in Computing Workshop</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">2004 Women in Computing Workshop</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">13</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2006-Graduates/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2006-Graduates/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2006-Graduates/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|2006 Graduates</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">2006 Graduates</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">14</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2007-Graduates/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2007-Graduates/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/2007-Graduates/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|2007 Graduates</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">2007 Graduates</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">15</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Demostrators/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Demostrators/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Demostrators/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|Demonstrators</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">Demonstrators</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">16</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Events/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Events/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Events/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|Events</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">Events</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">17</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/G-block/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/G-block/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/G-block/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|G block</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">G block</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">18</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Hangi-for-30-years/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Hangi-for-30-years/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Hangi-for-30-years/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|HÄngÄ« for 30 years of the Department</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">HÄngÄ« for 30 years of the Department</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">19</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Microcomputer-Day/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Microcomputer-Day/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Microcomputer-Day/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|Microcomputer Day</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">Microcomputer Day</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">20</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Misc/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Misc/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Misc/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|Miscellaneous</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">Miscellaneous</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">21</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/NZCSRSC/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/NZCSRSC/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/NZCSRSC/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|NZCSRSC - PhD Student Conferences</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">NZCSRSC - PhD Student Conferences</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">22</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/R-block-construction/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/R-block-construction/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/R-block-construction/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|R block construction</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">R block construction</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">23</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/R-block-lab-activity/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/R-block-lab-activity/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/R-block-lab-activity/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|R block lab activity</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">R block lab activity</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">24</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Staff-Group-Photos/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Staff-Group-Photos/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/Staff-Group-Photos/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|Staff photos</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">Staff photos</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">25</Metadata>
 		</Description>
 	</FileSet>
Index: gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/TB-lab/metadata.xml
===================================================================
--- gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/TB-lab/metadata.xml	(revision 38380)
+++ gs3-installations/computing50/trunk/sites/computing50/collect/computing-50-tabletop/import/photo-archive/TB-lab/metadata.xml	(revision 38381)
@@ -7,4 +7,5 @@
 			<Metadata mode="accumulate" name="dc.Subject">Photo Archive|TB lab</Metadata>
 			<Metadata mode="accumulate" name="dc.Publisher">TB lab</Metadata>
+			<Metadata mode="accumulate" name="pa.CoolStuffID">26</Metadata>
 		</Description>
 	</FileSet>