Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 38549)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default_es.properties	(revision 38550)
@@ -19,6 +19,8 @@
 left_arrow_image:interfaces/__INTERFACE_NAME__/images/leftarrow.png
 float_toc_image:interfaces/__INTERFACE_NAME__/images/floattoc.png
-float_berrybasket_image:interfaces/__INTERFACE_NAME__/images/floatberrybasket.png
 green_bug_image:interfaces/__INTERFACE_NAME__/images/GB.png
+pdf_image:interfaces/__INTERFACE_NAME__/images/PDF_32.png
+favourite_star_image:interfaces/__INTERFACE_NAME__/images/favourite-star-transparent-unselected32.png
+favourite_star_selected_image:interfaces/__INTERFACE_NAME__/images/favourite-star-transparent-selected32.png
 
 #***** TEXT FRAGMENTS *****
@@ -68,4 +70,5 @@
 menu.account_settings:ConfiguraciÃ³n de la cuenta
 menu.enable_edit_mode:Habilitar modo ediciÃ³n
+menu.webswing_gli:Abrir GLI
 menu.disable_edit_mode:Deshabilitar el modo ediciÃ³n
 menu.logout:Salir
@@ -81,4 +84,5 @@
 about.services:Servicios extra disponibles:
 about.servicehelp:Puede acceder a los servicios seleccionando los botones debajo o en los nombres en la barra de navegaciÃ³n. La barra de navegaciÃ³n es persistente a travÃ©s de todas las pÃ¡ginas de la colecciÃ³n.
+about.standarddescription:Esta colecciÃ³n contiene {0-numdocs} documentos.
 about.standarddescriptiondays:Esta colecciÃ³n contiene {0-numdocs} y fue construida por Ãºltima vez {1-numdays} dÃ­as atrÃ¡s.
 about.standarddescriptiondate:Esta colecciÃ³n contiene {0-numdocs} documentos y fue construida por Ãºltima vez en {1-date}.
@@ -129,5 +133,4 @@
 pref.set_prefs:fijar preferencias
 pref.set_prefs_help:Selecciones 'Fijar preferencias' si desea guardar los cambios.
-pref.berrybasket:Cesta
 pref.favouritebasket:Canasta de Favoritos:
 pref.documentbasket:Cesta de documentos:
@@ -284,5 +287,5 @@
 verify.title:VerificaciÃ³n
 verify.terms_title:TÃ©rminos y Condiciones
-verify.terms_content:TÃ©rminos y condiciones <br/> Para personalizar estos tÃ©rminos y condiciones, edite verify.terms_content en web/WEB-INF/classes/interface_default.properties (para toda la biblioteca) o cree collname.properties en la carpeta web/sites/localsite/collect/collname/resources y agregue Verify.terms_content = tÃ©rminos personalizados.
+verify.terms_content:TÃ©rminos y Condiciones<br/> Para personalizar estos tÃ©rminos y condiciones, edite verify.terms_content en web/WEB-INF/classes/interface_default.properties (para toda la biblioteca) o cree collname.properties en la carpeta web/sites/localsite/collect/collname/resources y agregue Verify.terms_content = tÃ©rminos personalizados.
 verify.terms_accept:Acepto los tÃ©rminos y condiciones
 
@@ -296,42 +299,37 @@
 
 #####################
-#  Berry Baskets    #
+#  Favourites Basket    
 #####################
 
-berry.title:Cesta de frutas
 favourites.title:Favoritos
-
-berry.full_view:Vista Completa
-berry.text_view:Vista de Texto
-berry.email_view:Email
-berry.help:Arrastre y suelte las frutas aquÃ­ para agregar documentos a su cesta
-berry.full:Vista completa Â»
-berry.to:Para:
-berry.cc:CC:
-berry.bcc:BCC:
-berry.subject:Asunto:
-berry.send:Enviar
-berry.url_only:Vista de URL solamente
-berry.url_and_metadata:Vista de URL y Metadatos
-berry.empty_basket:Su cesta estÃ¡ vacÃ­a
+favourites.full:Ver Â»
+favourites.view:Ver Favoritos
+favourites.to:Para:
+favourites.cc:CC:
+favourites.bcc:BCC:
+favourites.subject:Asunto:
+favourites.default_subject:Favoritos de Greenstone
+favourites.send:Enviar Email
+favourites.email:Enviar la lista por email
+favourites.clipboard:Copiar al Clipboard
 favourites.empty_basket:No tiene favoritos guardados.
-berry.doc_name:ID
-berry.doc_title:tÃ­tulo
-berry.doc_collection:colecciÃ³n
-berry.doc_date:fecha
-berry.doc_root_title:tÃ­tulo principal
-berry.send_success:EnvÃ­o de mail exitoso
-berry.send_fail:El envÃ­o de mail ha fallado
-berry.invalid_to_address_empty:El campo Para no puede estar vacÃ­o.
-berry.invalid_to_address:El campo Para debe contener una direcciÃ³n de email.
-berry.invalid_msg_body_empty:El campo del cuerpo del mensaje no puede estar vacÃ­o.
-
-berry.delete_help:Para eliminar items individuales, arrastre su Ã­cono de frutilla al cesto.
-favourites.delete_help:Para eliminar un item en particular, haga click en su Ã­cono favorito.
-favourites.delete_else:O tambiÃ©n
-
-berry.select_all:Seleccionar Todos
-berry.delete_selected:Eliminar los seleccionados
-berry.delete_all:Borrar todo
+favourites.send_success:EnvÃ­o de mail exitoso
+favourites.send_fail:Fallo en el envÃ­o del mail
+favourites.invalid_to_address_empty:El campo PARA no puede estar vacÃ­o.
+favourites.invalid_to_address:La direcciÃ³n de destino debe contener una direcciÃ³n de email.
+favourites.invalid_msg_body_empty:El cuerpo del mensaje no puede estar vacÃ­o.
+
+favourites.delete_help:Para eliminar un item en particular, haga click en su Ã­cono favorito, o click en '{0-deleteall}' para borrar todos los favoritos
+favourites.delete_all:Borrar todo
+
+webswinggli.title:Interfaz de Bibliotecario Greenstone (GLI)
+webswinggli.brief:Permite configurar y construir colecciones
+
+tabletopDL.title:Interfaz Tabletop DL
+tabletopDL.brief:Una experiencia interactiva para usuarios finales basada en una metÃ¡fora mesa/escritorio
+
+oaipmhserver.title:Servidor OAI-PMH
+oaipmhserver.brief:Acceder a colecciones mediante OAI-PMH (Open Archives Initiative Protocol for Metadata Harvesting)
+
 ##################################
 # About Greenstone page
@@ -354,2 +352,27 @@
 gsdl.toki_about1:En noviembre de 2000, un MaorÃ­ presentÃ³ una toki pou tangata (un hache de greenstone)  en la Biblioteca Digital de Nueva Zelanda, en reconocimento por el importante trabajo que se realizÃ³ en taonga (tesoro) como la <a href="{0}"> ColecciÃ³n Niupepa </a>. El toki fue tallado por Bernard Makoare, descendiente de NgÄti WhÄtua y Te Rarawa.
 gsdl.toki_about2:El toki es para simbolizar el significado de pounamu (piedra verde). Es para inspirar el trabajo que se estÃ¡ haciendo aquÃ­ con cualidades de manÃ¡, autoridad y liderazgo. Es una piedra dura, una conexiÃ³n a realizar. Se utilizarÃ¡ para forjar y guiar la excelencia de pensamiento que se recopila en la Biblioteca Digital de Nueva Zelanda.
+
+##################
+# Cookie Consent Manager
+##################
+ccm.Popup_Title:Usamos Cookies!
+ccm.Popup_Description:Greenstone utiliza cookies bÃ¡sicas para asegurar su correcto funcionamiento.
+ccm.Popup_OpenAdvancedManager:MÃ¡s info
+ccm.Popup_AcceptAllCookies:Entendido
+ccm.Popup_AcceptNecessaryCookies:Rechazar todo
+
+ccm.Manager_Title:Administrador de Consentimiento de cookies
+ccm.Manager_Description:Greenstone utiliza cookies bÃ¡sicas para asegurar su correcto funcionamiento. Puede ver luego el administrador de cookies visitando la pÃ¡gina de preferencias.
+ccm.Manager_SaveSettingsButton:Cerrar
+ccm.Manager_AcceptAllButton:Aceptar todo
+ccm.Manager_AcceptNecessaryButton:Rechazar todo
+ccm.Manager_CloseButton:Cerrar
+ccm.Manager.CookieTableHeaders_Name:Nombre
+ccm.Manager.CookieTableHeaders_Provider:Proveedor
+ccm.Manager.CookieTableHeaders_Expiration:ExpiraciÃ³n
+ccm.Manager.CookieTableHeaders_Description:DescripciÃ³n
+ccm.Manager.CookieTable_EndOfSessionExpiration:Fin de sesiÃ³n
+ccm.Manager.RequiredCookies_Title:Cookies requeridas
+ccm.Manager.RequiredCookies_Description:Estas cookies son bÃ¡sicas para asegurar que Greenstone pueda funcionar apropiadamente.
+ccm.Manager.RequiredCookies.JSESSIONID_Description:Permite que Greenstone mantenga el estado de su login, idioma seleccionado, configuraciÃ³n del sitio y canasta de favoritos.
+ccm.Manager.RequiredCookies.supportsXSLT_Description:Permite que Greenstone le informe si su navegador soporta o no las transformaciones XSLT de cliente.