Index: main/trunk/gli/help/it/bla.xml
===================================================================
--- main/trunk/gli/help/it/bla.xml	(revision 38556)
+++ 	(revision )
@@ -1,273 +1,0 @@
-<?xml version="1.0"?>
-<!DOCTYPE TutorialList [
-     <!ENTITY nbsp "&#160;">
-     <!ENTITY rarr "&#8594;">
-     <!ENTITY mdash "&#8212;">
-]>
-<Document>
-<Section name="introduction">
-<Title>
-<Text id="1">Introduzione</Text>
-</Title>
-<Section name="ofmiceandmenus">
-<Title>
-</Title>
-<Text id="11">Uscire dal programma Librarian Interface scegliendo "Esci" dal menu "File". La tua collezione verrÃ  salvata per prima.</Text>
-</Section>
-<Section name="howtoavoidthisdocument">
-<Title>
-<Text id="12">Come evitare di leggere questo documento</Text>
-</Title>
-<Text id="13">Non bisogna leggere questo testo di aiuto fino in fondo!  Basta leggere solo quanto basta per capire come ottenere aiuto quando ne avai bisogno.</Text>
-<Text id="14">Facendo clic sull'icona "Aiuto" in un determinato contesto, viene visualizzato il testo di aiuto pertinente o viene contrassegnata la voce di aiuto pertinente con un'icona a forma di punto interrogativo.</Text>
-</Section>
-</Section>
-<Section name="startingoff">
-<Title>
-</Title>
-<Section name="creatingacollection">
-<Title>
-</Title>
-</Section>
-<Section name="savingacollection">
-<Title>
-</Title>
-</Section>
-<Section name="openingacollection">
-<Title>
-</Title>
-</Section>
-<Section name="deletingcollections">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="downloadingfiles">
-<Title>
-</Title>
-<Section name="themirrorview">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="collectingfiles">
-<Title>
-</Title>
-<Section name="thegatherview">
-<Title>
-</Title>
-</Section>
-<Section name="creatingshortcuts">
-<Title>
-</Title>
-</Section>
-<Section name="creatingfolders">
-<Title>
-</Title>
-</Section>
-<Section name="addingfiles">
-<Title>
-</Title>
-</Section>
-<Section name="replacingfiles">
-<Title>
-</Title>
-</Section>
-<Section name="removingfiles">
-<Title>
-</Title>
-</Section>
-<Section name="explodingfiles">
-<Title>
-</Title>
-</Section>
-<Section name="filteringthetree">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="enrichingacollection">
-<Title>
-</Title>
-<Section name="theenrichview">
-<Title>
-</Title>
-</Section>
-<Section name="selectingmetadatasets">
-<Title>
-</Title>
-</Section>
-<Section name="appendingmetadata">
-<Title>
-</Title>
-</Section>
-<Section name="addingpreviouslydefinedmetadata">
-<Title>
-</Title>
-</Section>
-<Section name="updatingmetadata">
-<Title>
-</Title>
-</Section>
-<Section name="reviewingmetadata">
-<Title>
-</Title>
-<Text id="100">Il disegno della tabella puÃ² richiedere un certo tempo se sono selezionati molti file.  Ã possibile continuare a utilizzare l'interfaccia del bibliotecario mentre la finestra "Tutti i metadati" Ãš aperta.</Text>
-<Text id="101">Quando diventa troppo grande, Ãš possibile filtrare la tabella "Tutti i metadati" applicando filtri alle colonne.  Quando vengono aggiunti nuovi filtri, rimangono visibili solo le righe che vi corrispondono.  Per impostare, modificare o cancellare un filtro, fare clic sull'icona "imbuto" in cima a una colonna.  Vengono richieste informazioni sul filtro. Una volta impostato un filtro, l'intestazione della colonna cambia colore.</Text>
-<Text id="102">Il prompt dei filtri ha una scheda "Semplice" e una "Avanzata".  La versione semplice filtra le colonne in modo da mostrare solo le righe che contengono un determinato valore di metadati ("*" corrisponde a tutti i valori).  Ã possibile selezionare i valori dei metadati dall'elenco a discesa. La versione avanzata consente diverse operazioni di abbinamento: deve iniziare con, non contiene, alfabeticamente minore di e uguale a.  Il valore da abbinare puÃ² essere modificato in qualsiasi stringa (incluso "*") e si puÃ² scegliere se l'abbinamento deve essere insensibile alle maiuscole e alle minuscole.  Infine, Ãš possibile specificare una seconda condizione di corrispondenza che puÃ² essere utilizzata per specificare un intervallo di valori (selezionando AND) o valori alternativi (selezionando OR).  Sotto quest'area si trova una casella che consente di modificare l'ordine di ordinamento (crescente o decrescente).  Al termine, fare clic su "Imposta filtro" per applicare il nuovo filtro alla colonna. Fare clic su "Cancella filtro" per rimuovere il filtro corrente.  Si noti che i dettagli del filtro vengono mantenuti anche quando il filtro viene cancellato.</Text>
-<Text id="103">Ad esempio, per ordinare la tabella "Tutti i metadati", scegliere una colonna, selezionare l'impostazione predefinita del filtro (un filtro semplice su "*") e scegliere l'ordinamento ascendente o discendente.</Text>
-</Section>
-<Section name="importingpreviouslyassignedmetadata">
-<Title>
-<Text id="104">Importazione dei metadati assegnati in precedenza</Text>
-</Title>
-<Text id="105">Questa sezione descrive come importare i metadati assegnati in precedenza: metadati assegnati ai documenti prima che fossero aggiunti alla collezione.</Text>
-<Text id="106">Se a un documento sono assegnati metadati in un formato riconosciuto dall'interfaccia Librarian (ovvero in un file metadata.xml nella stessa cartella del documento) - ad esempio, quando si scelgono documenti da una collezione Greenstone esistente - viene importato automaticamente quando aggiungi il documento a una (nuova) collezione. Greenstone riconoscerÃ  metadata.xml (non Ãš necessario aggiungerlo alla collezione) e tenterÃ  automaticamente di importare i metadati.</Text>
-<Text id="107">Per importare i metadati, Ãš necessario mapparli ai set di metadati disponibili nella collezione. L'interfaccia Librarian richiede le informazioni necessarie. Il prompt fornisce brevi istruzioni e quindi mostra il nome dell'elemento di metadati che viene importato, proprio come appare nel file di origine. Questo campo non puÃ² essere modificato. Successivamente scegli a quale set di metadati deve essere mappato il nuovo elemento, quindi l'elemento di metadati appropriato in quel set. Il sistema seleziona automaticamente la corrispondenza piÃ¹ vicina, in termini di set ed elemento, per i nuovi metadati.</Text>
-<Text id="108">Dopo aver controllato la mappatura, puoi scegliere "Aggiungi" per aggiungere il nuovo elemento di metadati al set di metadati scelto. (Questo Ãš abilitato solo se non Ãš presente alcun elemento con lo stesso nome all'interno dell'insieme scelto.) "Unisci" mappa il nuovo elemento con quello scelto dall'utente. Infine, "Ignora" non importa alcun metadato con questo nome di elemento. Una volta specificato come importare una determinata porzione di metadati, le informazioni di mappatura vengono conservate per tutta la durata della collezione.</Text>
-<Text id="109">Per dettagli sui file metadata.xml che Greenstone utilizza per archiviare i metadati, consultare il capitolo 2 della Guida per sviluppatori Greenstone - Ottenere il massimo dai propri documenti.</Text>
-</Section>
-</Section>
-<Section name="designingacollection">
-<Title>
-<Text id="110">Configurazione della tua collezione</Text>
-</Title>
-<Text id="111">Una volta che i tuoi file sono stati contrassegnati con i metadati, decidi successivamente in che modo gli utenti finali devono accedere ai documenti. Che tipo di informazioni sono ricercabili? Quali modalitÃ  sono previste per sfogliare i documenti? Queste cose possono essere personalizzate; questa sezione descrive come farlo.</Text>
-<Section name="thedesignview">
-<Title>
-<Text id="112">Design</Text>
-</Title>
-<Text id="113">Questa sezione presenta la visualizzazione del design e spiega come spostarsi tra le varie visualizzazioni all'interno di questo riquadro.</Text>
-<Text id="114">Con l'interfaccia Librarian, puoi configurare il modo in cui i documenti vengono elaborati e il modo in cui l'utente accede alla collezione. Le opzioni di configurazione sono suddivise in diverse sezioni, ciascuna associata ad una particolare fase di personalizzazione della collezione.</Text>
-<Text id="115">A sinistra c'Ãš un elenco di diverse visualizzazioni e a destra ci sono i controlli associati a quella corrente. Per passare a una visualizzazione diversa, fare clic sul suo nome nell'elenco.</Text>
-<Text id="116">Per comprendere le fasi e i termini coinvolti nella progettazione di una collezione, leggere innanzitutto i Capitoli 1 e 2 della Guida dello sviluppatore di Greenstone.</Text>
-</Section>
-<Section name="plugins">
-<Title>
-<Text id="121">Plugin per documenti</Text>
-</Title>
-<Text id="122">Questa sezione descrive come configurare i plugin dei documenti utilizzati dalla collezione. Spiega come specificare quali plugin utilizzare, quali parametri passare loro e in quale ordine si verificano. Nella scheda "Design", fai clic su "Plugin documenti".</Text>
-<Text id="123">Per aggiungere un plugin, selezionarlo tramite l'elenco a discesa "Seleziona plugin da aggiungere" vicino alla parte inferiore e quindi fare clic su "Aggiungi plugin".  Appare una finestra intitolata "Configurazione degli argomenti", descritta piÃ¹ avanti.  Una volta configurato il nuovo plugin, questo viene aggiunto alla fine dell'elenco "Plugin assegnati". In genere si ha una sola istanza di ogni plugin. Tuttavia, Ãš possibile aggiungere lo stesso plugin piÃ¹ di una volta; in questo caso, le istanze multiple saranno normalmente configurate in modo diverso per fornire un risultato utile (ad esempio impostando l'argomento process_exp, vedere http://wiki.greenstone.org/wiki/gsdoc/tutorial/en/enhanced_pdf.htm ).</Text>
-<Text id="123aa">Per visualizzare una breve descrizione di un plugin, selezionarlo nell'elenco a discesa "Selezionar plugin da aggiungere", quindi passarci sopra il mouse. ApparirÃ  un tool-tip con la descrizione.</Text>
-<Text id="124">Per rimuovere un plugin, selezionarlo nell'elenco e fare clic su "Rimuovi plugin".</Text>
-<Text id="125">I plugin si configurano fornendo gli argomenti.  Per modificarli, selezionare il plugin dall'elenco e fare clic su "Configura plugin" (o fare doppio clic sul plugin). Viene visualizzata la finestra di dialogo "Configurazione degli argomenti", con vari controlli per specificare gli argomenti.</Text>
-<Text id="126">Esistono diversi tipi di controlli.  Alcuni sono caselle di controllo e facendo clic su una di esse si aggiunge l'opzione appropriata al plugin.  Altri sono stringhe di testo, con una casella di controllo e un campo di testo.  Fare clic sulla casella per attivare l'argomento, quindi digitare il testo appropriato (espressione regolare, percorso del file, ecc.) nella casella.  Altri sono menu a discesa da cui Ãš possibile selezionare un determinato insieme di valori.  Per sapere cosa fa un argomento, lasciate passare il mouse sul suo nome per un momento e apparirÃ  una descrizione.</Text>
-<Text id="127">Una volta modificata la configurazione, fare clic su "OK" per confermare le modifiche e chiudere la finestra di dialogo, oppure su "Annulla" per chiudere la finestra di dialogo senza modificare gli argomenti del plugin.</Text>
-<Text id="128">I plugin nell'elenco vengono eseguiti in ordine e l'ordine Ãš talvolta importante. Selezionare un plugin nell'elenco e utilizzare i pulsanti <AutoText key="glidict::CDM.Move.Move_Up"/> e <AutoText key="glidict::CDM.Move.Move_Down"/> per cambiare la sua posizione nell'elenco.</Text>
-</Section>
-<Section name="searchindexes">
-<Title>
-<Text id="134">Ricerca Indici</Text>
-</Title>
-<Section name="searchindexoptions">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="partitionindexes">
-<Title>
-<Text id="143">Partizionare Indici</Text>
-</Title>
-<Text id="144">Gli indici sono costruiti su particolari fonti di testo o metadati.  Lo spazio di ricerca puÃ² essere ulteriormente controllato suddividendo gli indici in base alla lingua o a un filtro predeterminato.  Questa sezione descrive come fare.  Nella scheda "Design", fare clic su "Partizionare indici".</Text>
-<Text id="145">La vista "Partizionare Indici" ha tre schede: "Definire i Filtri", "Assegnare le Partizioni" e "Assegnare le Lingue".  Per saperne di piÃ¹ sulle partizioni, leggere le sottocollezioni e i sottoindici nel Capitolo 2 della Guida per gli sviluppatori di Greenstone.</Text>
-<Text id="146">Si noti che per le collezioni MG, il numero totale di partizioni generate Ãš una combinazione di tutti gli indici, i filtri delle sottocollezioni e le lingue scelte. Due indici con due filtri di sottocollezione in due lingue produrrebbero otto partizioni di indici. Per MGPP, tutti gli indici sono creati in un unico indice fisico, quindi ci sarebbero solo quattro partizioni di indice. Per Lucene, il numero di indici fisici Ãš determinato dal numero di livelli assegnati alla collezione, un indice per livello. Quindi, per la situazione sopra descritta, un solo livello comporterebbe quattro indici fisici, mentre due livelli ne comporterebbero otto.</Text>
-<Section name="definefilters">
-<Title>
-<Text id="147">Definire i Filtri</Text>
-</Title>
-</Section>
-<Section name="assignpartitions">
-<Title>
-</Title>
-</Section>
-<Section name="assignlanguages">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="classifiers">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="producingthecollection">
-<Title>
-</Title>
-<Section name="thecreateview">
-<Title>
-</Title>
-</Section>
-<Section name="builderrors">
-<Title>
-</Title>
-</Section>
-<Section name="expertbuilding">
-<Title>
-</Title>
-</Section>
-<Section name="scheduledbuilding">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="formattingacollection">
-<Title>
-</Title>
-<Section name="theformatview">
-<Title>
-</Title>
-</Section>
-<Section name="generalsettings">
-<Title>
-<Text id="117">Generale</Text>
-</Title>
-<Text id="118">Questa sezione spiega come rivedere e modificare le impostazioni generali associate alla tua collezione. Innanzitutto, nella scheda "Formato", fai clic su "Generale".</Text>
-<Text id="119">Qui Ãš possibile impostare o modificare alcuni metadati dell'intera collezione, inclusi il titolo e la descrizione immessi all'avvio di una nuova collezione.</Text>
-<Text id="120">I primi sono gli indirizzi e-mail di contatto del creatore e del manutentore della collezione. Il campo successivo consente di modificare il titolo della collezione. Poi viene indicata la cartella in cui Ãš memorizzata la collezione, che perÃ² non puÃ² essere modificata. Segue l'icona da visualizzare in alto a sinistra nella pagina "Informazioni" della collezione (sotto forma di URL), seguita dall'icona utilizzata nella pagina della libreria di Greenstone per collegarsi alla collezione. Poi c'Ãš una casella di controllo che controlla se la collezione deve essere accessibile al pubblico. Infine, l'area di testo "Descrizione della collezione", descritta in <Reference target="creatingacollection"/>.</Text>
-</Section>
-<Section name="searchmetadatasettings">
-<Title>
-</Title>
-</Section>
-<Section name="formatstatements">
-<Title>
-</Title>
-</Section>
-<Section name="translatetext">
-<Title>
-</Title>
-</Section>
-<Section name="xcollectionsearching">
-<Title>
-</Title>
-</Section>
-<Section name="collectionspecificmacros">
-<Title>
-</Title>
-</Section>
-<Section name="depositormetadatasettings">
-<Title>
-</Title>
-</Section>
-</Section>
-<Section name="miscellaneous">
-<Title>
-</Title>
-<Section name="preferences">
-<Title>
-</Title>
-</Section>
-<Section name="fileassociations">
-<Title>
-</Title>
-</Section>
-<Section name="exporting">
-<Title>
-</Title>
-</Section>
-<Section name="exportingcollections">
-<Title>
-</Title>
-</Section>
-</Section>
-</Document>